/[gentoo-x86]/eclass/kde4-functions.eclass
Gentoo

Diff of /eclass/kde4-functions.eclass

Parent Directory Parent Directory | Revision Log Revision Log | View Patch Patch

Revision 1.64 Revision 1.65
1# Copyright 1999-2013 Gentoo Foundation 1# Copyright 1999-2013 Gentoo Foundation
2# Distributed under the terms of the GNU General Public License v2 2# Distributed under the terms of the GNU General Public License v2
3# $Header: /var/cvsroot/gentoo-x86/eclass/kde4-functions.eclass,v 1.64 2013/04/07 17:33:18 kensington Exp $ 3# $Header: /var/cvsroot/gentoo-x86/eclass/kde4-functions.eclass,v 1.65 2013/07/03 09:22:39 kensington Exp $
4 4
5inherit versionator 5inherit versionator
6 6
7# @ECLASS: kde4-functions.eclass 7# @ECLASS: kde4-functions.eclass
8# @MAINTAINER: 8# @MAINTAINER:
15if [[ ${___ECLASS_ONCE_KDE4_FUNCTIONS} != "recur -_+^+_- spank" ]] ; then 15if [[ ${___ECLASS_ONCE_KDE4_FUNCTIONS} != "recur -_+^+_- spank" ]] ; then
16___ECLASS_ONCE_KDE4_FUNCTIONS="recur -_+^+_- spank" 16___ECLASS_ONCE_KDE4_FUNCTIONS="recur -_+^+_- spank"
17 17
18# @ECLASS-VARIABLE: EAPI 18# @ECLASS-VARIABLE: EAPI
19# @DESCRIPTION: 19# @DESCRIPTION:
20# Currently kde4 eclasses support EAPI 3 and 4. 20# Currently kde4 eclasses support EAPI 4 and 5.
21case ${EAPI:-0} in 21case ${EAPI:-0} in
22 3)
23 eqawarn "${CATEGORY}/${PF}: EAPI 3 support is now deprecated."
24 eqawarn "If you are the package maintainer, please"
25 eqawarn "update this package to a newer EAPI."
26 eqawarn "Support for EAPI 3 for kde-*.eclass will be dropped"
27 eqawarn "at the beginning August."
28 ;;
22 3|4|5) : ;; 29 4|5) : ;;
23 *) die "EAPI=${EAPI} is not supported" ;; 30 *) die "EAPI=${EAPI} is not supported" ;;
24esac 31esac
25 32
26# @ECLASS-VARIABLE: KDE_OVERRIDE_MINIMAL 33# @ECLASS-VARIABLE: KDE_OVERRIDE_MINIMAL
27# @DESCRIPTION: 34# @DESCRIPTION:

Legend:
Removed from v.1.64  
changed lines
  Added in v.1.65

  ViewVC Help
Powered by ViewVC 1.1.20